diff --git a/guava-tests/test/com/google/common/base/AndroidIncompatible.java b/guava-tests/test/com/google/common/base/AndroidIncompatible.java
index 5e190a3..fccbb12 100644
--- a/guava-tests/test/com/google/common/base/AndroidIncompatible.java
+++ b/guava-tests/test/com/google/common/base/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -66,5 +65,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/guava-tests/test/com/google/common/base/AsciiTest.java b/guava-tests/test/com/google/common/base/AsciiTest.java
index d3a1f8f..c6b864b 100644
--- a/guava-tests/test/com/google/common/base/AsciiTest.java
+++ b/guava-tests/test/com/google/common/base/AsciiTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import junit.framework.TestCase;
 
 /**
@@ -25,7 +23,6 @@ import junit.framework.TestCase;
  *
  * @author Craig Berry
  */
-@GwtCompatible
 public class AsciiTest extends TestCase {
 
   /**
@@ -139,7 +136,7 @@ public class AsciiTest extends TestCase {
     assertFalse(Ascii.equalsIgnoreCase("[", "{"));
   }
 
-  @GwtIncompatible // String.toUpperCase() has browser semantics
+  // String.toUpperCase() has browser semantics
   public void testEqualsIgnoreCaseUnicodeEquivalence() {
     // Note that it's possible in future that the JDK's idea to toUpperCase() or equalsIgnoreCase()
     // may change and break assumptions in this test [*]. This is not a bug in the implementation of
diff --git a/guava-tests/test/com/google/common/base/CaseFormatTest.java b/guava-tests/test/com/google/common/base/CaseFormatTest.java
index f08d9f9..5f3a3d4 100644
--- a/guava-tests/test/com/google/common/base/CaseFormatTest.java
+++ b/guava-tests/test/com/google/common/base/CaseFormatTest.java
@@ -22,8 +22,6 @@ import static com.google.common.base.CaseFormat.LOWER_UNDERSCORE;
 import static com.google.common.base.CaseFormat.UPPER_CAMEL;
 import static com.google.common.base.CaseFormat.UPPER_UNDERSCORE;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
 import junit.framework.TestCase;
@@ -33,7 +31,6 @@ import junit.framework.TestCase;
  *
  * @author Mike Bostock
  */
-@GwtCompatible(emulated = true)
 public class CaseFormatTest extends TestCase {
 
   public void testIdentity() {
@@ -46,7 +43,7 @@ public class CaseFormatTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullArguments() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(CaseFormat.class);
diff --git a/guava-tests/test/com/google/common/base/CharMatcherTest.java b/guava-tests/test/com/google/common/base/CharMatcherTest.java
index 5412882..e25fe29 100644
--- a/guava-tests/test/com/google/common/base/CharMatcherTest.java
+++ b/guava-tests/test/com/google/common/base/CharMatcherTest.java
@@ -25,8 +25,6 @@ import static com.google.common.base.CharMatcher.isNot;
 import static com.google.common.base.CharMatcher.noneOf;
 import static com.google.common.base.CharMatcher.whitespace;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.Sets;
 import com.google.common.testing.NullPointerTester;
 import java.util.Arrays;
@@ -42,10 +40,9 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class CharMatcherTest extends TestCase {
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testStaticNullPointers() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(CharMatcher.class);
@@ -90,7 +87,7 @@ public class CharMatcherTest extends TestCase {
   // The next tests require ICU4J and have, at least for now, been sliced out
   // of the open-source view of the tests.
 
-  @GwtIncompatible // Character.isISOControl
+  // Character.isISOControl
   public void testJavaIsoControl() {
     for (int c = 0; c <= Character.MAX_VALUE; c++) {
       assertEquals(
@@ -108,7 +105,7 @@ public class CharMatcherTest extends TestCase {
   // method, but by overall "scenario". Also, the variety of actual tests we
   // do borders on absurd overkill. Better safe than sorry, though?
 
-  @GwtIncompatible // java.util.BitSet
+  // java.util.BitSet
   public void testSetBits() {
     doTestSetBits(CharMatcher.any());
     doTestSetBits(CharMatcher.none());
@@ -128,7 +125,7 @@ public class CharMatcherTest extends TestCase {
     doTestSetBits(inRange('A', 'Z').and(inRange('F', 'K').negate()));
   }
 
-  @GwtIncompatible // java.util.BitSet
+  // java.util.BitSet
   private void doTestSetBits(CharMatcher matcher) {
     BitSet bitset = new BitSet();
     matcher.setBits(bitset);
@@ -151,7 +148,7 @@ public class CharMatcherTest extends TestCase {
     doTestEmpty(forPredicate(Predicates.equalTo('c')));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNull() throws Exception {
     doTestNull(CharMatcher.any());
     doTestNull(CharMatcher.none());
@@ -196,7 +193,7 @@ public class CharMatcherTest extends TestCase {
     assertEquals(0, matcher.countIn(""));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   private static void doTestNull(CharMatcher matcher) throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(matcher);
@@ -664,12 +661,12 @@ public class CharMatcherTest extends TestCase {
     assertSame(CharMatcher.any(), CharMatcher.any().precomputed());
   }
 
-  @GwtIncompatible // java.util.BitSet
+  // java.util.BitSet
   private static BitSet bitSet(String chars) {
     return bitSet(chars.toCharArray());
   }
 
-  @GwtIncompatible // java.util.BitSet
+  // java.util.BitSet
   private static BitSet bitSet(char[] chars) {
     BitSet tmp = new BitSet();
     for (char c : chars) {
@@ -678,7 +675,7 @@ public class CharMatcherTest extends TestCase {
     return tmp;
   }
 
-  @GwtIncompatible // java.util.Random, java.util.BitSet
+  // java.util.Random, java.util.BitSet
   public void testSmallCharMatcher() {
     CharMatcher len1 = SmallCharMatcher.from(bitSet("#"), "#");
     CharMatcher len2 = SmallCharMatcher.from(bitSet("ab"), "ab");
diff --git a/guava-tests/test/com/google/common/base/CharsetsTest.java b/guava-tests/test/com/google/common/base/CharsetsTest.java
index c968c8d..5fc0efb 100644
--- a/guava-tests/test/com/google/common/base/CharsetsTest.java
+++ b/guava-tests/test/com/google/common/base/CharsetsTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.nio.charset.Charset;
 import java.util.Arrays;
 import junit.framework.TestCase;
@@ -27,15 +25,14 @@ import junit.framework.TestCase;
  *
  * @author Mike Bostock
  */
-@GwtCompatible(emulated = true)
 public class CharsetsTest extends TestCase {
 
-  @GwtIncompatible // Non-UTF-8 Charset
+  // Non-UTF-8 Charset
   public void testUsAscii() {
     assertEquals(Charset.forName("US-ASCII"), Charsets.US_ASCII);
   }
 
-  @GwtIncompatible // Non-UTF-8 Charset
+  // Non-UTF-8 Charset
   public void testIso88591() {
     assertEquals(Charset.forName("ISO-8859-1"), Charsets.ISO_8859_1);
   }
@@ -44,22 +41,22 @@ public class CharsetsTest extends TestCase {
     assertEquals(Charset.forName("UTF-8"), Charsets.UTF_8);
   }
 
-  @GwtIncompatible // Non-UTF-8 Charset
+  // Non-UTF-8 Charset
   public void testUtf16be() {
     assertEquals(Charset.forName("UTF-16BE"), Charsets.UTF_16BE);
   }
 
-  @GwtIncompatible // Non-UTF-8 Charset
+  // Non-UTF-8 Charset
   public void testUtf16le() {
     assertEquals(Charset.forName("UTF-16LE"), Charsets.UTF_16LE);
   }
 
-  @GwtIncompatible // Non-UTF-8 Charset
+  // Non-UTF-8 Charset
   public void testUtf16() {
     assertEquals(Charset.forName("UTF-16"), Charsets.UTF_16);
   }
 
-  @GwtIncompatible // Non-UTF-8 Charset
+  // Non-UTF-8 Charset
   public void testWhyUsAsciiIsDangerous() {
     byte[] b1 = "朝日新聞".getBytes(Charsets.US_ASCII);
     byte[] b2 = "聞朝日新".getBytes(Charsets.US_ASCII);
diff --git a/guava-tests/test/com/google/common/base/ConverterTest.java b/guava-tests/test/com/google/common/base/ConverterTest.java
index c787ef0..2000066 100644
--- a/guava-tests/test/com/google/common/base/ConverterTest.java
+++ b/guava-tests/test/com/google/common/base/ConverterTest.java
@@ -18,8 +18,6 @@ package com.google.common.base;
 
 import static com.google.common.base.Functions.toStringFunction;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Lists;
 import com.google.common.primitives.Longs;
 import com.google.common.testing.EqualsTester;
@@ -29,7 +27,6 @@ import java.util.List;
 import junit.framework.TestCase;
 
 /** Unit tests for {@link Converter}. */
-@GwtCompatible
 public class ConverterTest extends TestCase {
 
   private static final Converter<String, Long> STR_TO_LONG =
diff --git a/guava-tests/test/com/google/common/base/EnumsTest.java b/guava-tests/test/com/google/common/base/EnumsTest.java
index d8b13af..495fb67 100644
--- a/guava-tests/test/com/google/common/base/EnumsTest.java
+++ b/guava-tests/test/com/google/common/base/EnumsTest.java
@@ -20,17 +20,12 @@ import static com.google.common.base.StandardSystemProperty.JAVA_CLASS_PATH;
 import static com.google.common.base.StandardSystemProperty.PATH_SEPARATOR;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.GcFinalization;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
 import java.io.File;
 import java.lang.annotation.Retention;
 import java.lang.annotation.RetentionPolicy;
-import java.lang.ref.WeakReference;
 import java.lang.reflect.Field;
 import java.net.MalformedURLException;
 import java.net.URL;
@@ -44,7 +39,6 @@ import junit.framework.TestCase;
  *
  * @author Steve McKay
  */
-@GwtCompatible(emulated = true)
 public class EnumsTest extends TestCase {
 
   private enum TestEnum {
@@ -80,7 +74,7 @@ public class EnumsTest extends TestCase {
   }
 
 
-  @GwtIncompatible // weak references
+  // weak references
   public void testGetIfPresent_doesNotPreventClassUnloading() throws Exception {
     WeakReference<?> shadowLoaderReference = doTestClassUnloading();
     GcFinalization.awaitClear(shadowLoaderReference);
@@ -91,7 +85,7 @@ public class EnumsTest extends TestCase {
   // new ClassLoader. If Enums.getIfPresent does caching that prevents the shadow TestEnum
   // (and therefore its ClassLoader) from being unloaded, then this WeakReference will never be
   // cleared.
-  @GwtIncompatible // weak references
+  // weak references
   private WeakReference<?> doTestClassUnloading() throws Exception {
     URLClassLoader shadowLoader = new URLClassLoader(getClassPathUrls(), null);
     @SuppressWarnings("unchecked")
@@ -137,7 +131,7 @@ public class EnumsTest extends TestCase {
     assertEquals("POODLE", converter.reverse().convert(TestEnum.POODLE));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testStringConverter_nullPointerTester() throws Exception {
     Converter<String, TestEnum> converter = Enums.stringConverter(TestEnum.class);
     NullPointerTester tester = new NullPointerTester();
@@ -150,7 +144,7 @@ public class EnumsTest extends TestCase {
     assertNull(converter.reverse().convert(null));
   }
 
-  @GwtIncompatible // Class.getName()
+  // Class.getName()
   public void testStringConverter_toString() {
     assertEquals(
         "Enums.stringConverter(com.google.common.base.EnumsTest$TestEnum.class)",
@@ -161,7 +155,7 @@ public class EnumsTest extends TestCase {
     SerializableTester.reserializeAndAssert(Enums.stringConverter(TestEnum.class));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Enums.class);
@@ -176,7 +170,7 @@ public class EnumsTest extends TestCase {
     BAR
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testGetField() {
     Field foo = Enums.getField(AnEnum.FOO);
     assertEquals("FOO", foo.getName());
@@ -187,7 +181,7 @@ public class EnumsTest extends TestCase {
     assertFalse(bar.isAnnotationPresent(ExampleAnnotation.class));
   }
 
-  @GwtIncompatible // Class.getClassLoader()
+  // Class.getClassLoader()
   private URL[] getClassPathUrls() {
     ClassLoader classLoader = getClass().getClassLoader();
     return classLoader instanceof URLClassLoader
@@ -200,7 +194,6 @@ public class EnumsTest extends TestCase {
    * System#getProperty system property}.
    */
   // TODO(b/65488446): Make this a public API.
-  @GwtIncompatible
   private static ImmutableList<URL> parseJavaClassPath() {
     ImmutableList.Builder<URL> urls = ImmutableList.builder();
     for (String entry : Splitter.on(PATH_SEPARATOR.value()).split(JAVA_CLASS_PATH.value())) {
diff --git a/guava-tests/test/com/google/common/base/EquivalenceTest.java b/guava-tests/test/com/google/common/base/EquivalenceTest.java
index 07c86ea..67cabf0 100644
--- a/guava-tests/test/com/google/common/base/EquivalenceTest.java
+++ b/guava-tests/test/com/google/common/base/EquivalenceTest.java
@@ -16,10 +16,7 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Equivalence.Wrapper;
-import com.google.common.collect.ImmutableList;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.EquivalenceTester;
 import com.google.common.testing.NullPointerTester;
@@ -31,7 +28,6 @@ import junit.framework.TestCase;
  *
  * @author Jige Yu
  */
-@GwtCompatible(emulated = true)
 public class EquivalenceTest extends TestCase {
   @SuppressWarnings("unchecked") // varargs
   public void testPairwiseEquivalent() {
@@ -81,7 +77,7 @@ public class EquivalenceTest extends TestCase {
     assertSame(test, wrapper.get());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     SerializableTester.reserializeAndAssert(LENGTH_EQUIVALENCE.wrap("hello"));
     SerializableTester.reserializeAndAssert(Equivalence.equals());
@@ -157,7 +153,7 @@ public class EquivalenceTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Equivalence.class);
     new NullPointerTester().testAllPublicInstanceMethods(Equivalence.equals());
diff --git a/guava-tests/test/com/google/common/base/FinalizableReferenceQueueClassLoaderUnloadingTest.java b/guava-tests/test/com/google/common/base/FinalizableReferenceQueueClassLoaderUnloadingTest.java
index ae35c16..790b305 100644
--- a/guava-tests/test/com/google/common/base/FinalizableReferenceQueueClassLoaderUnloadingTest.java
+++ b/guava-tests/test/com/google/common/base/FinalizableReferenceQueueClassLoaderUnloadingTest.java
@@ -20,11 +20,9 @@ import static com.google.common.base.StandardSystemProperty.JAVA_CLASS_PATH;
 import static com.google.common.base.StandardSystemProperty.JAVA_SPECIFICATION_VERSION;
 import static com.google.common.base.StandardSystemProperty.PATH_SEPARATOR;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.testing.GcFinalization;
 import java.io.Closeable;
 import java.io.File;
-import java.lang.ref.WeakReference;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Field;
 import java.net.MalformedURLException;
diff --git a/guava-tests/test/com/google/common/base/FinalizableReferenceQueueTest.java b/guava-tests/test/com/google/common/base/FinalizableReferenceQueueTest.java
index 3b5fd1d..2dc0f66 100644
--- a/guava-tests/test/com/google/common/base/FinalizableReferenceQueueTest.java
+++ b/guava-tests/test/com/google/common/base/FinalizableReferenceQueueTest.java
@@ -19,7 +19,6 @@ package com.google.common.base;
 import com.google.common.base.internal.Finalizer;
 import com.google.common.testing.GcFinalization;
 import java.lang.ref.ReferenceQueue;
-import java.lang.ref.WeakReference;
 import java.net.URL;
 import java.net.URLClassLoader;
 import java.util.Arrays;
diff --git a/guava-tests/test/com/google/common/base/FunctionsTest.java b/guava-tests/test/com/google/common/base/FunctionsTest.java
index 1411c19..55f06ce 100644
--- a/guava-tests/test/com/google/common/base/FunctionsTest.java
+++ b/guava-tests/test/com/google/common/base/FunctionsTest.java
@@ -16,9 +16,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Maps;
 import com.google.common.testing.ClassSanityTester;
 import com.google.common.testing.EqualsTester;
@@ -34,7 +31,6 @@ import junit.framework.TestCase;
  * @author Mike Bostock
  * @author Vlad Patryshev
  */
-@GwtCompatible(emulated = true)
 public class FunctionsTest extends TestCase {
 
   public void testIdentity_same() {
@@ -48,7 +44,7 @@ public class FunctionsTest extends TestCase {
     assertNotSame(new Long(135135L), identity.apply(new Long(135135L)));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testIdentitySerializable() {
     checkCanReserializeSingleton(Functions.identity());
   }
@@ -73,12 +69,12 @@ public class FunctionsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testToStringFunctionSerializable() {
     checkCanReserializeSingleton(Functions.toStringFunction());
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Functions.class);
@@ -107,7 +103,7 @@ public class FunctionsTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testForMapWithoutDefaultSerializable() {
     checkCanReserialize(Functions.forMap(ImmutableMap.of(1, 2)));
   }
@@ -132,7 +128,7 @@ public class FunctionsTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testForMapWithDefault_includeSerializable() {
     Map<String, Integer> map = Maps.newHashMap();
     map.put("One", 1);
@@ -152,7 +148,7 @@ public class FunctionsTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testForMapWithDefaultSerializable() {
     checkCanReserialize(Functions.forMap(ImmutableMap.of(1, 2), 3));
   }
@@ -171,7 +167,7 @@ public class FunctionsTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testForMapWithDefault_null_compareWithSerializable() {
     ImmutableMap<String, Integer> map = ImmutableMap.of("One", 1);
     Function<String, Integer> function = Functions.forMap(map, null);
@@ -235,7 +231,7 @@ public class FunctionsTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testComposition_includeReserializabled() {
     Map<String, Integer> mJapaneseToInteger = Maps.newHashMap();
     mJapaneseToInteger.put("Ichi", 1);
@@ -332,7 +328,7 @@ public class FunctionsTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testForPredicateSerializable() {
     checkCanReserialize(Functions.forPredicate(Predicates.equalTo(5)));
   }
@@ -361,7 +357,7 @@ public class FunctionsTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testConstantSerializable() {
     checkCanReserialize(Functions.constant(5));
   }
@@ -406,24 +402,24 @@ public class FunctionsTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testForSupplierSerializable() {
     checkCanReserialize(Functions.forSupplier(new CountingSupplier()));
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() throws Exception {
     new ClassSanityTester().forAllPublicStaticMethods(Functions.class).testNulls();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   @AndroidIncompatible // TODO(cpovirk): ClassNotFoundException: com.google.common.base.Function
   // (I suspect that this and the other similar failures happen with ArbitraryInstances proxies.)
   public void testEqualsAndSerializable() throws Exception {
     new ClassSanityTester().forAllPublicStaticMethods(Functions.class).testEqualsAndSerializable();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   private static <Y> void checkCanReserialize(Function<? super Integer, Y> f) {
     Function<? super Integer, Y> g = SerializableTester.reserializeAndAssert(f);
     for (int i = 1; i < 5; i++) {
@@ -443,7 +439,7 @@ public class FunctionsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   private static <Y> void checkCanReserializeSingleton(Function<? super String, Y> f) {
     Function<? super String, Y> g = SerializableTester.reserializeAndAssert(f);
     assertSame(f, g);
diff --git a/guava-tests/test/com/google/common/base/JoinerTest.java b/guava-tests/test/com/google/common/base/JoinerTest.java
index d9ed347..5482def 100644
--- a/guava-tests/test/com/google/common/base/JoinerTest.java
+++ b/guava-tests/test/com/google/common/base/JoinerTest.java
@@ -16,12 +16,7 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Joiner.MapJoiner;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableMultimap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Maps;
 import com.google.common.testing.NullPointerTester;
@@ -39,7 +34,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class JoinerTest extends TestCase {
   private static final Joiner J = Joiner.on("-");
 
@@ -359,7 +353,7 @@ public class JoinerTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // StringBuilder.append in GWT invokes Object.toString(), unlike the JRE version.
+  // StringBuilder.append in GWT invokes Object.toString(), unlike the JRE version.
   public void testDontConvertCharSequenceToString() {
     assertEquals("foo,foo", Joiner.on(",").join(new DontStringMeBro(), new DontStringMeBro()));
     assertEquals(
@@ -367,7 +361,7 @@ public class JoinerTest extends TestCase {
         Joiner.on(",").useForNull("bar").join(new DontStringMeBro(), null, new DontStringMeBro()));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Joiner.class);
diff --git a/guava-tests/test/com/google/common/base/ObjectsTest.java b/guava-tests/test/com/google/common/base/ObjectsTest.java
index 0388140..1e95755 100644
--- a/guava-tests/test/com/google/common/base/ObjectsTest.java
+++ b/guava-tests/test/com/google/common/base/ObjectsTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import junit.framework.TestCase;
 
@@ -26,7 +24,6 @@ import junit.framework.TestCase;
  *
  * @author Laurence Gonsalves
  */
-@GwtCompatible(emulated = true)
 public class ObjectsTest extends TestCase {
 
   public void testEqual() throws Exception {
@@ -58,7 +55,7 @@ public class ObjectsTest extends TestCase {
     assertTrue(Objects.hashCode(1, 2, 3) != Objects.hashCode(2, 3, 1));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Objects.class);
diff --git a/guava-tests/test/com/google/common/base/OptionalTest.java b/guava-tests/test/com/google/common/base/OptionalTest.java
index f8d8333..985f7a7 100644
--- a/guava-tests/test/com/google/common/base/OptionalTest.java
+++ b/guava-tests/test/com/google/common/base/OptionalTest.java
@@ -19,10 +19,7 @@ package com.google.common.base;
 import static com.google.common.testing.SerializableTester.reserialize;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.FluentIterable;
-import com.google.common.collect.ImmutableList;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
 import java.util.Collections;
@@ -35,7 +32,6 @@ import junit.framework.TestCase;
  *
  * @author Kurt Alfred Kluever
  */
-@GwtCompatible(emulated = true)
 public final class OptionalTest extends TestCase {
   public void testToJavaUtil_static() {
     assertNull(Optional.toJavaUtil(null));
@@ -315,7 +311,7 @@ public final class OptionalTest extends TestCase {
     Number value = first.or(0.5); // fine
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester npTester = new NullPointerTester();
     npTester.testAllPublicConstructors(Optional.class);
diff --git a/guava-tests/test/com/google/common/base/PreconditionsTest.java b/guava-tests/test/com/google/common/base/PreconditionsTest.java
index 1add44d..763b39a 100644
--- a/guava-tests/test/com/google/common/base/PreconditionsTest.java
+++ b/guava-tests/test/com/google/common/base/PreconditionsTest.java
@@ -18,10 +18,6 @@ package com.google.common.base;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Lists;
 import com.google.common.testing.ArbitraryInstances;
 import java.lang.reflect.InvocationTargetException;
@@ -38,7 +34,6 @@ import junit.framework.TestCase;
  * @author Kevin Bourrillion
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class PreconditionsTest extends TestCase {
   public void testCheckArgument_simple_success() {
     Preconditions.checkArgument(true);
@@ -383,7 +378,6 @@ public class PreconditionsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible("Reflection")
   public void testAllOverloads_checkArgument() throws Exception {
     for (ImmutableList<Class<?>> sig : allSignatures(boolean.class)) {
       Method checkArgumentMethod =
@@ -400,7 +394,6 @@ public class PreconditionsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible("Reflection")
   public void testAllOverloads_checkState() throws Exception {
     for (ImmutableList<Class<?>> sig : allSignatures(boolean.class)) {
       Method checkArgumentMethod =
@@ -417,7 +410,6 @@ public class PreconditionsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible("Reflection")
   public void testAllOverloads_checkNotNull() throws Exception {
     for (ImmutableList<Class<?>> sig : allSignatures(Object.class)) {
       Method checkArgumentMethod =
@@ -460,7 +452,6 @@ public class PreconditionsTest extends TestCase {
    * @param firstParam The first parameter
    * @param sig The method signature
    */
-  @GwtIncompatible("ArbitraryInstances")
   private Object[] getParametersForSignature(Object firstParam, ImmutableList<Class<?>> sig) {
     Object[] params = new Object[sig.size()];
     params[0] = firstParam;
@@ -536,7 +527,7 @@ public class PreconditionsTest extends TestCase {
     Preconditions.checkState(boxedBoolean.booleanValue(), "", s);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     /*
      * Don't bother testing: Preconditions defines a bunch of methods that accept a template (or
